/* custom fonts we are going to be using. */

@font-face {
  font-family: ClearSans-Thin;
  src: url("../static/fonts/clearsans/WOFF/ClearSans-Thin.woff");
}

@font-face {
  font-family: ClearSans-Light;
  src: url("../static/fonts/clearsans/WOFF/ClearSans-Light.woff");
}

@font-face {
  font-family: ClearSans-Bold;
  src: url("../static/fonts/clearsans/WOFF/ClearSans-Bold.woff");
}

.hidden {
  display: none;
}

body {
  font-family: "ClearSans-Thin", sans-serif;
}

form {
  font-family: "ClearSans-Light", sans-serif;
}

p > a {
  cursor: pointer;
  color: rgb(120, 120, 120);
  border-bottom: dotted 2px rgb(120, 120, 120);
  transition: all 0.1s;
  text-decoration: non;
}

p > a:hover {
  color: rgb(30, 30, 30);
  border-bottom: dotted 2px rgb(30, 30, 30);
  text-decoration: none;
}

#build-form {
  color: rgb(50, 50, 50);
  background: rgb(235, 236, 237);
  padding: 55px;
  padding-top: 25px;
  padding-bottom: 20px;
}

#banner-container {
  text-align: left;
  color: black;
  padding: 16px;
  width: 100%;
  background-color: rgb(235, 236, 237);
  position: relative;
}

#logo-container {
  text-align: center;
  color: black;
  padding: 16px;
}

#logo {
  padding: 8px;
  padding-bottom: 22px;
  padding-top: 10px;
}

#header {
  margin-left: 5%;
  width: 90%;
  padding-bottom: 24px;
}

.btn-submit {
  background-color: rgb(228, 7, 105);
  box-shadow: 1px 1px rgba(0, 0, 0, 0.075);
  color: white;
  border: none;
  height: 35px;
  width: 100%;
  border-radius: 4px;
}

.jumbotron {
  background: rgb(235, 236, 237);
}

h3 {
  color: rgb(70, 70, 70);
  font-size: 42px;
  line-height: 1.3;
}

h5 {
  color: rgb(70, 70, 70);
  font-size: 32px;
  line-height: 1.3;
}

h4 {
  font-size: 20px;
  color: rgb(70, 70, 70);
}

#form-header {
  padding-bottom: 5px;
}

#build-progress {
  font-family: ClearSans-Bold, sans-serif;
  font-size: 16px;
  height: 28px;
  text-shadow: black 1px 1px 1px;
}

#build-progress .progress-bar {
  padding-top: 4px;
}

#explanation {
  color: rgb(40, 40, 40);
  font-size: 20px;
  line-height: 1.5;
  font-weight: bold;
}

#log-container .panel-body {
  /* match color of terminal! */
  background-color: black;
}

#launch-buttons {
  margin-top: 24px;
  width: 100%;
}

#log {
  height: 400px;
}

#log .terminal {
  font-family: "Roboto Mono", monospace;
}

.url,
.badges {
  background-color: #ffffff;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  border: 1px solid #ccc;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.url {
  margin-bottom: 20px;
}

.badges {
  margin-bottom: 20px;
}

.dropdownmenu {
  background-color: #dddddd;
  border-radius: 3px 3px 0px 0px;
  height: 35px;
  width: 100%;
}

.dropdownmenu label {
  color: black;
  padding: 6px 12px;
  margin: 0px;
  width: 95%;
}

.badge-snippet-row,
.url-row {
  width: 100%;
  display: flex;
  flex-direction: reverse;
  border-bottom: 1px #ccc solid;
  padding: 10px;
}

.badge-snippet-row .icon,
.url-row .icon {
  order: 0;
  max-width: 30px;
  max-height: 40px;
  padding: 3px;
  /* margin-top: 13px; */
  /*margin-left: 4px; */
}

.input-group-btn .btn {
  border: solid #ccc 1px;
}

.badge-snippet-row pre,
.url-row pre {
  order: 1;
  margin: 0;
  flex-grow: 1;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

#how-it-works {
  line-height: 1.5;
  font-weight: bold;
  font-size: 18px;
}

#how-it-works div.row {
  margin: 32px;
  display: flex;
  flex-direction: row;
  align-items: baseline;
}

.point {
  border-radius: 50%;
  border-width: 5px;
  border-style: solid;
  width: 40px;
  height: 40px;
  padding: 2px 9px;
  font-weight: 800;
  font-family: "ClearSans-Bold";
}

.point-container {
  padding-top: 4px;
}

.point-orange {
  border-color: rgb(247, 144, 42);
  color: rgb(247, 144, 42);
}

.point-red {
  border-color: rgb(204, 67, 101);
  color: rgb(204, 67, 101);
}

.point-blue {
  border-color: rgb(41, 124, 184);
  color: rgb(41, 124, 184);
}

/*reduce font size of h1 and h2 so the initial design when h3 and h4 tags were used respectively is retained*/
h1 {
  font-size: 1.25em;
}

h2 {
  font-size: 1.125em;
}

span.front-em {
  font-size: 1.5em;
}

div.front {
  font-size: 0.9em;
}

h4.logo-subtext {
  margin-top: -60px;
}

.form-row .form-group:first-child {
  padding-left: 0;
}

.form-row .form-group:last-child {
  padding-right: 0;
}

#badge-snippets {
  width: 100%;
}

/**/

@media (max-width: 991px) {
  .form-row .form-group {
    padding: 0;
  }

  #launch-buttons {
    margin-top: inherit;
  }
}

/*Clipboard styling*/

img.icon.clipboard {
  order: 1;
  border: thin solid silver;
  border-radius: 5px;
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
  border-left: none;
}
img.icon.clipboard:hover {
  background: #f5f5f5;
}

img.icon.clipboard:active {
  background: #ddd;
}
